Subject: Re: Config timezone to prevent chaos when DST/changing timezone

From: Andreas Schwab <[email-masked]>
Date: Sat, 08 Feb 2025 10:28:57 +0100

On Feb 07 2025, Devste Devste wrote:

> With DST or manual timezone changes (e.g. travelling) you can end up
> with commits that are illogically sorted - newer commits have an
> author/committer date that is older than older commits.

The time stamps in commits are recorded in Universal Time, so neither
DST nor timezone changes (both are essentially equivalent) have an
influence on how the time stamp is interpreted as a point in time.

> There should be an easy way to force a specific timezone - or in
> absence of that at least force UTC - to prevent this

You can use --date=local to show all dates in your local time zone,
instead of the recorded time zone of the author/committer.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."